cascading.flow.stream.util

## Class SparseTupleComparator

- java.lang.Object
- - cascading.flow.stream.util.SparseTupleComparator

- All Implemented Interfaces:
    java.util.Comparator<Tuple>

      public class SparseTupleComparator
      extends java.lang.Object
      implements java.util.Comparator<Tuple>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparseTupleComparator(Fields groupFields, java.util.Comparator defaultComparator)`
    `SparseTupleComparator(Fields valuesField, Fields sortFields)`
    `SparseTupleComparator(Fields valuesFields, Fields sortFields, java.util.Comparator defaultComparator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Tuple lhs, Tuple rhs)`
    `java.util.Comparator[]` | `getComparators()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### SparseTupleComparator

          public SparseTupleComparator(Fields valuesField,
                               Fields sortFields)

    - #### SparseTupleComparator

          public SparseTupleComparator(Fields groupFields,
                               java.util.Comparator defaultComparator)

    - #### SparseTupleComparator

          public SparseTupleComparator(Fields valuesFields,
                               Fields sortFields,
                               java.util.Comparator defaultComparator)

  - ### Method Detail

    - #### getComparators

          public java.util.Comparator[] getComparators()

    - #### compare

          public int compare(Tuple lhs,
                    Tuple rhs)

      Specified by:
        `compare` in interface `java.util.Comparator<Tuple>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.